/*
 * Utilidades.java
 *
 * Created on 26 de diciembre de 2007, 21:55
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package bingo;
import java.io.*;
import javax.swing.*;
import java.awt.*;
/**
 *
 * @author KnX
 */
public class Utilidades {
    private boolean sorteoAutomatico=false;
    private int numeroSegundosSorteoAutomatico = 100;
    private boolean escucharCantadorVirtual = false;
    private boolean avisarPosibleGanador = false;
    private boolean mostrarLog = true;
    private boolean mostrarUltimaBolitaSorteada = true;
    private boolean mostrarPanelBolitasSorteadas = true;
    public Color colorTemporal=Color.WHITE;
    public Color colorFondoAplicación=Color.WHITE;;
    public Color colorPanelBingo=Color.WHITE;;
    public Color colorTexto=Color.WHITE;
    /** Creates a new instance of Utilidades */
    public Utilidades() {
    }
    
    /*La siguiente funcion recibe una variable de tipo boolean y debuelve el
     *valor contrario en boolean , Ej. true --> false
     *                                 false --> true
     */
    public static boolean inversoBoleano(boolean original){
    if(original==true){
    return false;
    }
    else{
    return true;
    }
    }

    public boolean isSorteoAutomatico() {
        return sorteoAutomatico;
    }

    public void setSorteoAutomatico(boolean sorteoAutomatico) {
        this.sorteoAutomatico = sorteoAutomatico;
    }

    public int getNumeroSegundosSorteoAutomatico() {
        return numeroSegundosSorteoAutomatico;
    }

    public void setNumeroSegundosSorteoAutomatico(int numeroSegundosSorteoAutomatico) {
        this.numeroSegundosSorteoAutomatico = numeroSegundosSorteoAutomatico;
    }

    public boolean isEscucharCantadorVirtual() {
        return escucharCantadorVirtual;
    }

    public void setEscucharCantadorVirtual(boolean escucharCantadorVirtual) {
        this.escucharCantadorVirtual = escucharCantadorVirtual;
    }

    public boolean isAvisarPosibleGanador() {
        return avisarPosibleGanador;
    }

    public void setAvisarPosibleGanador(boolean avisarPosibleGanador) {
        this.avisarPosibleGanador = avisarPosibleGanador;
    }

    public boolean isMostrarLog() {
        return mostrarLog;
    }

    public void setMostrarLog(boolean mostrarLog) {
        this.mostrarLog = mostrarLog;
    }

    public boolean isMostrarUltimaBolitaSorteada() {
        return mostrarUltimaBolitaSorteada;
    }

    public void setMostrarUltimaBolitaSorteada(boolean mostrarUltimaBolitaSorteada) {
        this.mostrarUltimaBolitaSorteada = mostrarUltimaBolitaSorteada;
    }

    public boolean isMostrarPanelBolitasSorteadas() {
        return mostrarPanelBolitasSorteadas;
    }

    public void setMostrarPanelBolitasSorteadas(boolean mostrarPanelBolitasSorteadas) {
        this.mostrarPanelBolitasSorteadas = mostrarPanelBolitasSorteadas;
    }
    

}
